# std::unordered_multimap::size

From cppreference.com
< cpp‎ | container‎ | unordered multimap

size_type size() const; |  | (since C++11)

Returns the number of elements in the container, i.e. std::distance(begin(), end()).

### Parameters

(none)

### Return value

The number of elements in the container.

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant.

### Example

The following code uses `size` to display the number of elements in a std::unordered_multimap:

Run this code

    #include <unordered_map>
    #include <iostream>

    int main()
    {
        std::unordered_multimap<int,char> nums {{1, 'a'}, {3, 'b'}, {5, 'c'}, {7, 'd'}};

        std::cout << "nums contains " << nums.size() << " elements.\n";
    }

Output:

    nums contains 4 elements.

### See also

empty | checks whether the container is empty (public member function)
max_size | returns the maximum possible number of elements (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/unordered_multimap/size&oldid=50735"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template